#!/bin/sh

SCRIPT=`readlink -f $0`
SCRIPTPATH=`dirname $SCRIPT`

. $SCRIPTPATH/inc.sh

cd $BUILDPATH 
svn checkout http://libactp.googlecode.com/svn/trunk/ libactp 
if [ $? != "0" ] ; then
	exit 1
fi
cd $BUILDPATH/libactp/PythonLib 
if [ "$DO_MAKE_CLEAN" = "yes" ]; then
	make clean
fi
make 
if [ $? != "0" ] ; then
	exit 1
fi
ln -fs ../../libactp/PythonLib/.libs/actp.so ../../heekscad/heekscnc/actp.so

exit $?

