#!/bin/sh

SCRIPT=`readlink -f $0`
SCRIPTPATH=`dirname $SCRIPT`

. $SCRIPTPATH/inc.sh

cd $BUILDPATH 
svn checkout http://libarea.googlecode.com/svn/trunk/ libarea 
if [ $? != "0" ] ; then
	exit 1
fi
cd $BUILDPATH/libarea 
if [ "$DO_MAKE_CLEAN" = "yes" ]; then
	make clean
fi
make 
if [ $? != "0" ] ; then
	exit 1
fi
ln -fs ../../libarea/.libs/area.so ../heekscad/heekscnc/area.so

exit $?

