#!/bin/sh

SCRIPT=`readlink -f $0`
SCRIPTPATH=`dirname $SCRIPT`

. $SCRIPTPATH/inc.sh

cd $BUILDPATH/heekscad
svn checkout http://heekscnc.googlecode.com/svn/trunk/ heekscnc 
#this can fail because it has been done already in make.sh
#if [ $? != "0" ] ; then
#	exit 1
#fi
cd $BUILDPATH/heekscad/heekscnc 
mkdir -p PyCam/trunk 
svn co https://pycam.svn.sourceforge.net/svnroot/pycam/trunk/pycam PyCam/trunk/pycam 
#removed because failing isn't that big a problem
#if [ $? != "0" ] ; then
#	exit 1
#fi
cd $BUILDPATH/heekscad/heekscnc/src 
if [ "$DO_MAKE_CLEAN" = "yes" ]; then
	make clean
fi
RUNINPLACE=yes make 
cd $BUILDPATH/heekscad/heekscnc/kurve 
if [ "$DO_MAKE_CLEAN" = "yes" ]; then
	make clean
fi
make 
if [ $? != "0" ] ; then
	exit 1
fi
cd $BUILDPATH/heekscad/heekscnc 
ln -fs kurve/.libs/kurve.so .

exit $?

